#ifndef _BREAKOUTWORLDBOUNDARIES_H_
#define _BREAKOUTWORLDBOUNDARIES_H_

#include "BreakoutBox.h"
#include "Visualisation.h"

class BreakoutWorldBoundaries
{
	public:
	BreakoutWorldBoundaries(const Vector2i &minBounds, const Vector2i &maxBounds)
	: m_minBounds(minBounds), m_maxBounds(maxBounds)
	{
	}

	Vector2i GetMinBounds() { return m_minBounds; }
	void SetMinBounds(const Vector2i &bounds) { m_minBounds = bounds; }

	Vector2i GetMaxBounds() { return m_maxBounds; }
	void SetMaxBounds(const Vector2i &bounds) { m_maxBounds = bounds; }

	protected:
	Vector2i m_minBounds, m_maxBounds;
};

#endif
